(function () {
	/*
	 * CloudPreference 取得
	 */
	getCloudPreference = function () {
		if (!applican.cloudpreferences) {
			dump("dumpGetValue", "CloudPreferences API 未対応");
			return;
		}
		if (!applican.cloudpreferences.getValue) {
			dump("dumpGetValue", "getValue API 未対応");
			return;
		}
		var key = document.getElementById("keyForGet").value;
		applican.cloudpreferences.getValue(key,
			function (result) {
				var message = "データを取得しました。\n";
				message += "キー: " + key + "\n";
				message += "値: " + result + "\n";
				dump("dumpGetValue", message);
				alert("データを取得しました。");
			},
			function () {
				var message = "データ取得に失敗しました。\n";
				dump("dumpGetValue", message);
				alert("データ取得に失敗しました。");
			});
	}

	/*
	 * CloudPreference 保存
	 */
	setCloudPreference = function () {
		if (!applican.cloudpreferences) {
			dump("dumpSetValue", "CloudPreferences API 未対応");
			return;
		}
		if (!applican.cloudpreferences.setValue) {
			dump("dumpSetValue", "setValue API 未対応");
			return;
		}
		var key = document.getElementById("keyForSave").value;
		var val = document.getElementById("valueForSave").value;
		applican.cloudpreferences.setValue(key, val,
			function () {
				var message = "データを保存しました。\n";
				message += "キー: " + key + "\n";
				message += "値: " + val + "\n";
				dump("dumpSetValue", message);
				alert("データを保存しました。");
			},
			function () {
				var message = "データ保存に失敗しました。\n";
				dump("dumpSetValue", message);
				alert("データ保存に失敗しました。");
			});
	}

	/*
	 * CloudPreference 削除
	 */
	removeCloudPreference = function () {
		if (!applican.cloudpreferences) {
			dump("dumpRemoveValue", "CloudPreferences API 未対応");
			return;
		}
		if (!applican.cloudpreferences.deleteValue) {
			dump("dumpRemoveValue", "deleteValue API 未対応");
			return;
		}
		var key = document.getElementById("keyForRemove").value;
		applican.cloudpreferences.deleteValue(key,
			function () {
				var message = "データを削除しました。\n";
				message += "キー: " + key + "\n";
				dump("dumpRemoveValue", message);
				alert("データを削除しました。");
			},
			function () {
				var message = "データ削除に失敗しました。\n";
				dump("dumpRemoveValue", message);
				alert("データ削除に失敗しました。");
			});
	}

	/*
	 * dump
	 */
	dump = function (id, message) {
		document.getElementById(id).value = message;
	}

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function () {
		// 「取得」ボタン押下処理
		document.getElementById("getCloudPreferenceBtn").addEventListener("touchend", getCloudPreference, false);
		// 「保存」ボタン押下処理
		document.getElementById("setCloudPreferenceBtn").addEventListener("touchend", setCloudPreference, false);
		// 「削除」ボタン押下処理
		document.getElementById("removeCloudPreferenceBtn").addEventListener("touchend", removeCloudPreference, false);
	}, false);
})();
